%define plugindir %{_libdir}/esmtp-plugins

Summary:        SMTP client library
Name:           libesmtp
Version:        1.0.6
Release:    1%{?dist}
License:        LGPLv2+
Source0:         http://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.bz2
URL:            http://www.stafford.uklinux.net/libesmtp/
BuildRequires:  gcc
BuildRequires:  openssl-devel pkgconfig autoconf automake libtool
BuildRequires: make
Patch0: libesmtp-1.0.6-openssl-1.1.patch
Patch1: libesmtp-configure-c99.patch

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%package devel
Summary: Headers and development libraries for libESMTP
License: LGPLv2+ and GPLv2+
Requires: %{name} = %{version}-%{release}, openssl-devel

%description devel
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim.

The libesmtp-devel package contains headers and development libraries
necessary for building programs against libesmtp.

%prep 
%setup -q
%patch0 -p1 -b .openssl-1.1
%patch1 -p1

autoreconf -fi

chmod a-x htable.c

%build

if pkg-config openssl ; then
  export CFLAGS="$CFLAGS $RPM_OPT_FLAGS `pkg-config --cflags openssl`"
  export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi
%configure --with-auth-plugin-dir=%{plugindir} --enable-pthreads \
  --enable-require-all-recipients --enable-debug \
  --enable-etrn --disable-isoc --disable-more-warnings --disable-static
make %{?_smp_mflags}
cat << "EOF" > libesmtp.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: libESMTP
Version: %{version}
Description: SMTP client library.
Requires: openssl
Libs: -pthread -L${libdir} -lesmtp
Cflags:
EOF

cat << "EOF" > libesmtp-config
exec pkg-config "$@" libesmtp
EOF

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install INSTALL='install -p'
rm %{buildroot}/%{_libdir}/*.la
rm %{buildroot}/%{_libdir}/esmtp-plugins/*.la
install -p -m644 -D libesmtp.pc %{buildroot}%{_libdir}/pkgconfig/libesmtp.pc



%files
%doc AUTHORS COPYING.LIB NEWS Notes README
%{_libdir}/libesmtp.so.*
%{plugindir}

%files devel
%doc examples COPYING
%{_bindir}/libesmtp-config
%{_prefix}/include/*
%{_libdir}/libesmtp.so
%{_libdir}/pkgconfig/libesmtp.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6
%{version}-1
- initial build
